Skip to main content
GET
Get a redline request

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.

Path Parameters

redlineRequestId
string
required

The ID of the redline request.

Response

Redline request retrieved successfully.

templateId
string
required

The template ID associated with the redline request.

Example:

"tmpl_abc123"

status
enum<string>
required

Current status of the redline request.

Available options:
DisclosingPartyDraft,
DisclosingPartyRequestedReview,
DocumentReadyForSigning,
ReceivingPartyDraft,
ReceivingPartyOpened,
ReceivingPartyRequestedReview
members
object[]
required

List of members in the redline request.

testMode
boolean
required

Whether the redline request is in test mode.

currentRound
enum<string>
required

The party whose turn it is in the current round.

Available options:
Disclosing,
Receiving